/*!
 	@file
 	@brief	文字コード取得ドライバ Win Ver.
 */

#ifndef CCharCodeDriverWindows_h
#define CCharCodeDriverWindows_h

#include"../../../Setup/CompileMode.h"
#include"../../../Auxiliary/Macro.h"
#include"../CCharCodeDriver.h"
#include"../../../FrameWork/Windows/CMessageHook.h"

namespace Maid
{
	class CCharCodeDriverWindows : public IMessageHook, public ICharCodeDriver
	{
	public:
		virtual void	Initialize();
		virtual void	Finalize();

		virtual void SetCallBack( const CHARCODEFUNCTION& Function );

		virtual RETURNCODE OnMessage( CWindowsMessage& Param );

	private:
		CHARCODEFUNCTION	m_Function;	

	};


}

#endif
